Closes: https://github.com/jordansissel/grok/issues/28
Closes: https://github.com/jordansissel/grok/issues/29

--- a/Makefile
+++ b/Makefile
@@ -213,8 +213,8 @@ grok_capture_xdr.h: grok_capture.x
 	rpcgen -h $< -o $@
 
 %.c: %.gperf
-	@if $(GPERF) --version | head -1 | egrep -v '3\.[0-9]+\.[0-9]+' ; then \
-		echo "We require gperf version >= 3.0.3" ; \
+	@if $(GPERF) --version | head -1 | grep --quiet -E '[0-2]\.[0-9]\.[0-9]+|3\.0\.[0-9]+' ; then \
+		echo "We require gperf version >= 3.1.0" ; \
 		exit 1; \
 	fi
 	$(GPERF) $< > $@
--- a/grok_matchconf_macro.h
+++ b/grok_matchconf_macro.h
@@ -19,6 +19,6 @@ struct strmacro {
 #endif
 
 /* this function is generated by gperf */
-const struct strmacro *patname2macro(const char *str, unsigned int len);
+const struct strmacro *patname2macro(const char *str, size_t len);
 
 #endif /* _GROK_MATCHCONF_MACRO_ */
